Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.util
Class AbstractInjectorMethod

    java.lang.Object
      com.google.gwt.inject.rebind.util.AbstractInjectorMethod

All Implemented Interfaces:
  InjectorMethod

    public abstract class AbstractInjectorMethod

extends java.lang.Object
implements InjectorMethod

Common base class for injector methods.

Constructor Summary
`protected` | `AbstractInjectorMethod(boolean isNative, java.lang.String methodSignature, java.lang.String packageName)`

Method Summary
`java.lang.String` | `getMethodSignature()` Returns the signature of the method (e.g., "public void foo()")
`java.lang.String` | `getPackageName()` Get the name of the package in which this method should be created.
`boolean` | `isNative()` Returns whether this is a native method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.inject.rebind.util.InjectorMethod
`getMethodBody`

Constructor Detail

### AbstractInjectorMethod

    protected AbstractInjectorMethod(boolean isNative,
                                     java.lang.String methodSignature,
                                     java.lang.String packageName)

Method Detail

### isNative

    public boolean isNative()

  Description copied from interface: `InjectorMethod`
  Returns whether this is a native method.

  Specified by:
    `isNative` in interface `InjectorMethod`

### getMethodSignature

    public java.lang.String getMethodSignature()

  Description copied from interface: `InjectorMethod`
  Returns the signature of the method (e.g., "public void foo()")

  Specified by:
    `getMethodSignature` in interface `InjectorMethod`

### getPackageName

    public java.lang.String getPackageName()

  Description copied from interface: `InjectorMethod`
  Get the name of the package in which this method should be created.

  Specified by:
    `getPackageName` in interface `InjectorMethod`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD